package contentRepositoryServicePart;

import java.util.ArrayList;

import repository.FullFileRepository;
import repository.ISFile;

public class ContentRepositoryServiceFront implements IContentRepositoryServiceProvider{

	private FullFileRepository rep;
	
	public ContentRepositoryServiceFront(FullFileRepository rep){
		this.rep = rep;
	}
	
	@Override
	public ArrayList<ISFile> getAllFiles() {
		return rep.getFiles();
	}

	@Override
	public ISFile getFile(String filename) {
		System.out.println("remote contentrep getting file: " + filename);
		return rep.getFile(filename);
	}

}
