package roisensor;

import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.util.StringTokenizer;


public class RoiCommandChanger
{


    static BufferedReader stdin = new BufferedReader(new InputStreamReader(System.in));
    static StringTokenizer st = new StringTokenizer("");

    private boolean running;
    private RoiSensor listener;

    public RoiCommandChanger(RoiSensor listener)
    {
        this.listener = listener;
        readCommands();
    }

    private void readCommands()
    {


        while (running)
        {
            String command;
            try
            {
                command = readString();

                if (command.equals("change"))
                {
                    command = readString();

                    double value = Double.parseDouble(command);
                    if (value >= 0 && value <= 1)
                    {

                    }

                }

                else if (command.equals("shutdown"))
                {
                    System.out.println("Shutdown Command Received");
                    System.out.println("Shutting down");
                    running = false;
                }


            }
            catch (Exception e)
            {
                System.out.println("Command Read Error!");
            }
        }

        System.out.println("Roi Sensor no longer reading commands");
    }


    // Read next input-token as string.
    static String readString() throws Exception
    {
        while (!st.hasMoreTokens())
        {
            st = new StringTokenizer(stdin.readLine());
        }
        return st.nextToken();
    }

    // Read next input-token as integer.
    static int readInt() throws Exception
    {
        return Integer.parseInt(readString());
    }

    // Read next input-token as double.
    static double readDouble() throws Exception
    {
        return Double.parseDouble(readString());
    }

}
