package roisensor;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.BorderFactory;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JSlider;

public class VisualRoiChanger extends JFrame implements ActionListener
{
    RoiSensor parentSensor;
    JSlider roiSlider;

    public VisualRoiChanger(RoiSensor parentSensor)
    {
        super("Instantsocial Roi Changer");
        this.parentSensor = parentSensor;
        //this.setSize(100,200);
        this.setResizable(true);

        roiSlider = new JSlider();
        roiSlider.setBorder(BorderFactory.createTitledBorder("Roi Value ( % )"));
        roiSlider.setMinimum(0);
        roiSlider.setMaximum(100);
        roiSlider.setMajorTickSpacing(10);
        roiSlider.setMinorTickSpacing(1);
        roiSlider.setPaintLabels(true);
        roiSlider.setPaintTicks(true);

        JButton changeButton = new JButton("UPDATE");
        changeButton.addActionListener(this);
        this.getContentPane().add(changeButton, BorderLayout.SOUTH);

        this.getContentPane().add(roiSlider);
        this.pack();
    }

    @Override
    public void actionPerformed(ActionEvent arg0)
    {
        int sliderValue = roiSlider.getValue();
        System.out.println("SLIDER VALUE IS: " + sliderValue);
        //double roi = (((double)sliderValue ) / 100.0);
        parentSensor.roiChange(sliderValue);

    }


}
