package membershipServicePart;

import java.util.ArrayList;

import repository.FullFileRepository;
import repository.ISFile;

public class MembershipServiceFront implements IMembershipServiceProvider{

	private FullFileRepository rep;
	
	public MembershipServiceFront(FullFileRepository rep){
		this.rep = rep;
	}
	
	@Override
	public ArrayList<ISFile> getAllFiles() {
		return rep.getFiles();
	}

	@Override
	public ISFile getFile(String filename) {
		return rep.getFile(filename);
	}
	
}
