@ECHO OFF
:Initialization
SET profile=1
SET profile_name=master
SET node_profile=MASTER
:MainMenu
CLS
ECHO Select which MUSIC profile you want to launch:
ECHO.
ECHO. 1. Standalone [default]
ECHO. 2. Master (with SLP)
ECHO. 3. Remote reasoner
ECHO. 4. Context distribution
ECHO. 5. SOA demo 1: Master with SLP
ECHO. 6. SOA demo 1: SLP Service
ECHO. 7. SOA demo 2: Master with UPnP
ECHO. 8. SOA demo 2: UPnP Service
ECHO. 0. Quit
ECHO.
SET /p profile= Select an option  
ECHO.
IF '%profile%'=='' SET osgi=1
IF '%profile%'=='0' GOTO Quit
IF '%profile%' GTR '8' GOTO MainMenu
IF '%profile%'=='1' SET profile_name=standalone
IF '%profile%'=='2' SET profile_name=master
IF '%profile%'=='3' SET profile_name=reasoner
IF '%profile%'=='4' SET profile_name=context_distribution
IF '%profile%'=='5' SET profile_name=slp_master
IF '%profile%'=='6' SET profile_name=slp_service
IF '%profile%'=='7' SET profile_name=upnp_master
IF '%profile%'=='8' SET profile_name=upnp_service

IF '%profile%'=='3' SET node_profile=REASONER

java -Djava.util.logging.config.file=logging.properties -DNODE_PROFILE=%node_profile% -jar music/org.eclipse.osgi_3.3.1.R33x_v20070828.jar -configuration profiles/%profile_name% -console

:Quit